Skip to content

Sources API

Traffic sources represent where your traffic comes from (ad networks, social platforms, etc.). Each source defines parameter templates, postback URLs, and cost tracking rules.

All endpoints require either a JWT token or an API key (gf_...) in the Authorization header.

MethodPathScopeDescription
GET/api/v1/sourcesread:sourcesList all sources
POST/api/v1/sourceswrite:sourcesCreate a source
GET/api/v1/sources/{id}read:sourcesGet source details
PATCH/api/v1/sources/{id}write:sourcesUpdate a source
DELETE/api/v1/sources/{id}write:sourcesDelete a source
GET/api/v1/sources/templatesread:sourcesList source templates
Terminal window
curl -X POST https://devcore.getghostflow.io/api/v1/sources \
-H "Authorization: Bearer gf_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Facebook Ads",
"postbackUrl": "https://fb.example.com/postback?click_id={click_id}&payout={payout}"
}'
Terminal window
curl https://devcore.getghostflow.io/api/v1/sources \
-H "Authorization: Bearer gf_your_api_key"